<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>computeGradient &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>computeGradient
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">20 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/gradient.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/gradient.f03.html'>gradient.f03</a></li>
    
     <li><a href='../module/gradient.html'>gradient</a></li>
    
  
     <li class="active">computeGradient</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine computeGradient(field)
    
    
   
</h2>
    
  


    
    <p>computeGradient computes the gradient of a given field.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E78"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>field used to compute the gradient</p></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~computegradient~~CallsGraph Pages: 1 -->
<svg id="proccomputegradientCallsGraph" width="257pt" height="242pt"
 viewBox="0.00 0.00 257.00 242.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~computegradient~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 238)">
<title>proc~~computegradient~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-238 253,-238 253,4 -4,4"/>
<!-- proc~computegradient -->
<g id="proc~~computegradient~~CallsGraph_node1" class="node">
<title>proc~computegradient</title>
<polygon fill="none" stroke="#000000" points="95,-129 0,-129 0,-105 95,-105 95,-129"/>
<text text-anchor="middle" x="47.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">computeGradient</text>
</g>
<!-- proc~boundarygradient -->
<g id="proc~~computegradient~~CallsGraph_node2" class="node">
<title>proc~boundarygradient</title>
<g id="a_proc~~computegradient~~CallsGraph_node2"><a xlink:href=".././proc/boundarygradient.html" xlink:title="boundaryGradient">
<polygon fill="#d9534f" stroke="#d9534f" points="239.5,-234 140.5,-234 140.5,-210 239.5,-210 239.5,-234"/>
<text text-anchor="middle" x="190" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">boundaryGradient</text>
</a>
</g>
</g>
<!-- proc~computegradient&#45;&gt;proc~boundarygradient -->
<g id="proc~~computegradient~~CallsGraph_edge1" class="edge">
<title>proc~computegradient&#45;&gt;proc~boundarygradient</title>
<path fill="none" stroke="#000000" d="M56.708,-129.2724C70.8424,-147.3297 99.5691,-181.0674 131,-201 133.624,-202.6641 136.3974,-204.2183 139.2542,-205.6665"/>
<polygon fill="#000000" stroke="#000000" points="138.0315,-208.956 148.581,-209.9354 140.9448,-202.5911 138.0315,-208.956"/>
</g>
<!-- leastsquaregrad -->
<g id="proc~~computegradient~~CallsGraph_node3" class="node">
<title>leastsquaregrad</title>
<polygon fill="#777777" stroke="#777777" points="234.5,-192 145.5,-192 145.5,-168 234.5,-168 234.5,-192"/>
<text text-anchor="middle" x="190" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">leastsquaregrad</text>
</g>
<!-- proc~computegradient&#45;&gt;leastsquaregrad -->
<g id="proc~~computegradient~~CallsGraph_edge2" class="edge">
<title>proc~computegradient&#45;&gt;leastsquaregrad</title>
<path fill="none" stroke="#000000" d="M69.8231,-129.1798C86.4388,-138.0104 109.8125,-149.9421 131,-159 135.3332,-160.8525 139.8904,-162.6797 144.4715,-164.437"/>
<polygon fill="#000000" stroke="#000000" points="143.2517,-167.7175 153.8444,-167.9319 145.6974,-161.1586 143.2517,-167.7175"/>
</g>
<!-- greengaussgradtvd -->
<g id="proc~~computegradient~~CallsGraph_node4" class="node">
<title>greengaussgradtvd</title>
<polygon fill="#777777" stroke="#777777" points="242,-150 138,-150 138,-126 242,-126 242,-150"/>
<text text-anchor="middle" x="190" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">greengaussgradtvd</text>
</g>
<!-- proc~computegradient&#45;&gt;greengaussgradtvd -->
<g id="proc~~computegradient~~CallsGraph_edge3" class="edge">
<title>proc~computegradient&#45;&gt;greengaussgradtvd</title>
<path fill="none" stroke="#000000" d="M95.3469,-124.0511C105.6407,-125.5681 116.6677,-127.1931 127.4268,-128.7787"/>
<polygon fill="#000000" stroke="#000000" points="127.224,-132.2865 137.6275,-130.2819 128.2446,-125.3613 127.224,-132.2865"/>
</g>
<!-- celllimitedmdgradient -->
<g id="proc~~computegradient~~CallsGraph_node5" class="node">
<title>celllimitedmdgradient</title>
<polygon fill="#777777" stroke="#777777" points="246.5,-108 133.5,-108 133.5,-84 246.5,-84 246.5,-108"/>
<text text-anchor="middle" x="190" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">celllimitedmdgradient</text>
</g>
<!-- proc~computegradient&#45;&gt;celllimitedmdgradient -->
<g id="proc~~computegradient~~CallsGraph_edge4" class="edge">
<title>proc~computegradient&#45;&gt;celllimitedmdgradient</title>
<path fill="none" stroke="#000000" d="M95.3469,-109.9489C104.3129,-108.6276 113.8352,-107.2243 123.2522,-105.8365"/>
<polygon fill="#000000" stroke="#000000" points="124.0151,-109.262 133.398,-104.3414 122.9945,-102.3368 124.0151,-109.262"/>
</g>
<!-- facelimitedmdgradient -->
<g id="proc~~computegradient~~CallsGraph_node6" class="node">
<title>facelimitedmdgradient</title>
<polygon fill="#777777" stroke="#777777" points="249,-66 131,-66 131,-42 249,-42 249,-66"/>
<text text-anchor="middle" x="190" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">facelimitedmdgradient</text>
</g>
<!-- proc~computegradient&#45;&gt;facelimitedmdgradient -->
<g id="proc~~computegradient~~CallsGraph_edge5" class="edge">
<title>proc~computegradient&#45;&gt;facelimitedmdgradient</title>
<path fill="none" stroke="#000000" d="M69.8231,-104.8202C86.4388,-95.9896 109.8125,-84.0579 131,-75 135.3332,-73.1475 139.8904,-71.3203 144.4715,-69.563"/>
<polygon fill="#000000" stroke="#000000" points="145.6974,-72.8414 153.8444,-66.0681 143.2517,-66.2825 145.6974,-72.8414"/>
</g>
<!-- greengaussgrad -->
<g id="proc~~computegradient~~CallsGraph_node7" class="node">
<title>greengaussgrad</title>
<polygon fill="#777777" stroke="#777777" points="235,-24 145,-24 145,0 235,0 235,-24"/>
<text text-anchor="middle" x="190" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">greengaussgrad</text>
</g>
<!-- proc~computegradient&#45;&gt;greengaussgrad -->
<g id="proc~~computegradient~~CallsGraph_edge6" class="edge">
<title>proc~computegradient&#45;&gt;greengaussgrad</title>
<path fill="none" stroke="#000000" d="M56.708,-104.7276C70.8424,-86.6703 99.5691,-52.9326 131,-33 133.624,-31.3359 136.3974,-29.7817 139.2542,-28.3335"/>
<polygon fill="#000000" stroke="#000000" points="140.9448,-31.4089 148.581,-24.0646 138.0315,-25.044 140.9448,-31.4089"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>